This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 430318 - clock applet crashes when editing clock location in preferences
clock applet crashes when editing clock location in preferences
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-25 20:22 EST by Andrew Farris
Modified: 2008-02-08 19:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 19:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
clock-applet-crash backtrace (3.55 KB, text/txt)
2008-01-25 20:22 EST, Andrew Farris
no flags Details

  None (edit)
Description Andrew Farris 2008-01-25 20:22:08 EST
Description of problem:
clock applet crashes when editing clock location in preferences

Version-Release number of selected component (if applicable):
gnome-applets-2.21.4-3.fc9.i386

How reproducible:
consistently

Steps to Reproduce:
1. open clock prefs, create location
2. close clock prefs
3. open clock prefs, click edit location button, crash
  
kernel messages:

Jan 25 09:09:50 cirithungol kernel: clock-applet[7110]: segfault at 00000000 eip
00000000 esp 08ef30e0 error 4
Jan 25 09:11:04 cirithungol kernel: clock-applet[7201]: segfault at 00000000 eip
03a58167 esp b7196120 error 4
Jan 25 09:11:33 cirithungol kernel: clock-applet[7232]: segfault at 00000000 eip
03a58167 esp b7232120 error 4

bugbuddy:
Distribution: Fedora release 8.90 (Rawhide)
Gnome Release: 2.21.5 2008-01-14 (Red Hat, Inc)
BugBuddy Version: 2.20.1

System: Linux 2.6.24-0.167.rc8.git4.fc9 #1 SMP Tue Jan 22 23:19:19 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10499002
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout:
0 it_real_value: 0 frequency: 0



----------- .xsession-errors (484 sec old) ---------------------
** (nm-applet:6879): WARNING **: nm_object_get_property: Error getting
'WirelessHardwareEnabled' for /org/freedesktop/NetworkManager: The name
org.freedesktop.NetworkManager was not provided by any .s
** (nautilus:6872): WARNING **: Unable to add monitor: Not supported
** Message: failed to load session from
/home/lordmorgul/.nautilus/saved-session-EFXP5T
** (nm-applet:6879): WARNING **: nm_object_get_property: Error getting 'State'
for /org/freedesktop/NetworkManager: The name org.freedesktop.NetworkManager was
not provided by any .service files
** (nm-applet:6879): WARNING **: Error in getting VPN connections: The name
org.freedesktop.NetworkManager was not provided by any .service files
** (gnome-panel:6873): WARNING **: Failed to establish a connection with GDM: No
such file or directory
(nautilus:6872): Gtk-CRITICAL **: gtk_progress_set_percentage: assertion
`percentage >= 0 && percentage <= 1.0' failed
--------------------------------------------------
Comment 1 Andrew Farris 2008-01-25 20:22:08 EST
Created attachment 293028 [details]
clock-applet-crash backtrace
Comment 2 Andrew Farris 2008-01-25 20:23:39 EST
I don't have debuginfo for that bt, I'll get it installed and see if something
more useful pops out.
Comment 3 Andrew Farris 2008-01-25 20:33:16 EST
gnome-applets-debuginfo didn't change the backtrace at all, if you point me to
the debuginfo that might help I'll get it, and sorry that attachment posted as
not text but it opens with an editor fine
Comment 4 Andrew Farris 2008-02-08 00:18:23 EST
This is no longer occurring in gnome-applets-2.21.4-5.fc9.i386.  Editing a
location is working correctly.

Note You need to log in before you can comment on or make changes to this bug.